diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index 0bba30a..5732995 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -218,7 +218,7 @@ def filename_with_file_manager_path(file):
     return file
 
 
-@blueprint.route('/create_job/<int:sid>', methods=['POST'])
+@blueprint.route('/server/<int:sid>', methods=['POST'])
 @login_required
 def create_backup_job(sid):
     """
@@ -308,11 +308,11 @@ def create_backup_job(sid):
         )
     # Return response
     return make_json_response(
-        data={'job_id': jid, 'success': 1}
+        data={'id': jid, 'success': 1}
     )
 
 
-@blueprint.route('/create_job/backup_object/<int:sid>', methods=['POST'])
+@blueprint.route('/object/<int:sid>', methods=['POST'])
 @login_required
 def create_backup_objects_job(sid):
     """
diff --git a/web/pgadmin/tools/backup/templates/backup/js/backup.js b/web/pgadmin/tools/backup/templates/backup/js/backup.js
index f1a29d1..047901a 100644
--- a/web/pgadmin/tools/backup/templates/backup/js/backup.js
+++ b/web/pgadmin/tools/backup/templates/backup/js/backup.js
@@ -546,7 +546,7 @@ TODO LIST FOR BACKUP:
 
                   var self = this,
                     baseUrl = "{{ url_for('backup.index') }}" +
-                      "create_job/" + treeInfo.server._id,
+                      "server/" + treeInfo.server._id,
                     args =  this.view.model.toJSON();
 
                   $.ajax({
@@ -774,7 +774,7 @@ TODO LIST FOR BACKUP:
 
                   var self = this,
                     baseUrl = "{{ url_for('backup.index') }}" +
-                      "create_job/backup_object/" + treeInfo.server._id,
+                      "object/" + treeInfo.server._id,
                       args =  this.view.model.toJSON();
 
                   $.ajax({
diff --git a/web/pgadmin/tools/restore/__init__.py b/web/pgadmin/tools/restore/__init__.py
index 275043e..5694100 100644
--- a/web/pgadmin/tools/restore/__init__.py
+++ b/web/pgadmin/tools/restore/__init__.py
@@ -160,7 +160,7 @@ def filename_with_file_manager_path(file):
     return file
 
 
-@blueprint.route('/create_job/<int:sid>', methods=['POST'])
+@blueprint.route('/<int:sid>', methods=['POST'])
 @login_required
 def create_restore_job(sid):
     """
diff --git a/web/pgadmin/tools/restore/templates/restore/js/restore.js b/web/pgadmin/tools/restore/templates/restore/js/restore.js
index b76927c..2be325e 100644
--- a/web/pgadmin/tools/restore/templates/restore/js/restore.js
+++ b/web/pgadmin/tools/restore/templates/restore/js/restore.js
@@ -510,7 +510,7 @@ define([
                   }
 
                   var self = this,
-                      baseUrl = "{{ url_for('restore.index') }}create_job/" +
+                      baseUrl = "{{ url_for('restore.index') }}" +
                         info.server._id,
                       args =  this.view.model.toJSON();
 
